## golang-github-shirou-gopsutil 2.1

=== Makefile ===
.PHONY: help check
.DEFAULT_GOAL := help

SUBPKGS=cpu disk docker host internal load mem net process

help:  ## Show help
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

check:  ## Check
	errcheck -ignore="Close|Run|Write" ./...
	golint ./... | egrep -v 'underscores|HttpOnly|should have comment|comment on exported|CamelCase|VM|UID'

build_test:  ## test only buildable
	GOOS=linux go test ./... | grep -v "exec format error"
	GOOS=freebsd go test ./... | grep -v "exec format error"
	CGO_ENABLED=0 GOOS=darwin go test ./... | grep -v "exec format error"
	CGO_ENABLED=1 GOOS=darwin go test ./... | grep -v "exec format error"
	GOOS=windows go test ./...| grep -v "exec format error"

=== debian/changelog ===
golang-github-shirou-gopsutil (2.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Breno Leitao ]
  * Fix FTBFS and add support for ppc64el. (Closes: #820466)

 -- Fernando Seiti Furusato <ferseiti@linux.vnet.ibm.com>  Thu, 03 Nov 2016 10:57:27 -0200

golang-github-shirou-gopsutil (2.1-2) unstable; urgency=medium

  * Extend "01-Disable_failing_tests.patch" to disable failing
    "TestDisk_partitions" and "Test_Process_Nice" tests (Closes: #830164).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 14 Jul 2016 17:23:27 +1000

golang-github-shirou-gopsutil (2.1-1) unstable; urgency=medium

  * Team upload.

  [ Dmitry Smirnov ]
  * Standards-Version: 3.9.8.
  * Modernise Vcs URLs.
  * Removed "Built-Using" from -dev package.
  * Introducing "watch" file.

  [ Martín Ferrari ]
  * New upstream release. Closes: #827697
  * debian/patches:
    - Remove old patches.
    - Add new patches to skip tests that don't run in a buildd.
  * debian/control: Add missing dependencies.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 20 Jun 2016 19:53:28 +1000

golang-github-shirou-gopsutil (1.0.0+git20160112-1) unstable; urgency=low

  * Initial release (Closes: #813710)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 19 Jan 2016 01:14:07 +0900

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export DH_GOPKG := github.com/shirou/gopsutil

# Avoid running tests that require root.
export CI := true
export CIRCLECI := true

TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@ --buildsystem=golang --with=golang

## golang-github-shirou-gopsutil 2.17.08

=== Makefile ===
.PHONY: help check
.DEFAULT_GOAL := help

SUBPKGS=cpu disk docker host internal load mem net process

help:  ## Show help
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

check:  ## Check
	errcheck -ignore="Close|Run|Write" ./...
	golint ./... | egrep -v 'underscores|HttpOnly|should have comment|comment on exported|CamelCase|VM|UID' && exit 1 || exit 0

BUILD_FAIL_PATTERN=grep -v "exec format error" | grep "build failed" && exit 1 || exit 0
build_test:  ## test only buildable
	# Supported operating systems
	GOOS=linux go test ./... | $(BUILD_FAIL_PATTERN)
	GOOS=freebsd go test ./... | $(BUILD_FAIL_PATTERN)
#	GOOS=openbsd go test ./... | $(BUILD_FAIL_PATTERN)
	CGO_ENABLED=0 GOOS=darwin go test ./... | $(BUILD_FAIL_PATTERN)
	CGO_ENABLED=1 GOOS=darwin go test ./... | $(BUILD_FAIL_PATTERN)
	GOOS=windows go test ./... | $(BUILD_FAIL_PATTERN)
	# Operating systems supported for building only (not implemented error if used)
	GOOS=solaris go test ./... | $(BUILD_FAIL_PATTERN)
#	GOOS=dragonfly go test ./... | $(BUILD_FAIL_PATTERN)
	GOOS=netbsd go test ./... | $(BUILD_FAIL_PATTERN)
	@echo 'Successfully built on all known operating systems'

=== debian/changelog ===
golang-github-shirou-gopsutil (2.17.08-1) unstable; urgency=medium

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 11 Sep 2017 12:33:29 +0900

golang-github-shirou-gopsutil (2.17.07-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.1.0.
  * Add golang-golang-x-sys-dev to B-D.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 30 Aug 2017 08:26:39 +0900

golang-github-shirou-gopsutil (2.16.12-1) unstable; urgency=medium

  * Add myself to Uploaders.
  * debian/control: Replace golang-go with golang-any in Build-Depends.
  * Depend on newer dh_golang, and use XS-Go-Import-Path.
  * New upstream release that fixes build issues in different architectures.
  * Acknowledge NMU, thanks Breno Leitao and Fernando Seiti Furusato.
  * Patch patch to udevadm. Closes: #852560.

 -- Martín Ferrari <tincho@debian.org>  Wed, 25 Jan 2017 20:47:10 +0000

=== debian/control ===
Source: golang-github-shirou-gopsutil
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
           Nobuhiro Iwamatsu <iwamatsu@debian.org>,
           Tim Potter <tpot@hpe.com>,
Build-Depends: debhelper (>= 9),
               dh-golang (>= 1.17~),
               golang-any,
               golang-github-stretchr-testify-dev,
               golang-golang-x-sys-dev,
               lsof,
               procps,
Standards-Version: 4.1.0
Homepage: https://github.com/shirou/gopsutil
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-shirou-gopsutil.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-shirou-gopsutil.git
XS-Go-Import-Path: github.com/shirou/gopsutil

Package: golang-github-shirou-gopsutil-dev
Architecture: all
Depends: ${misc:Depends},
         dpkg-dev,
         lsof,
         procps,
         golang-github-stretchr-testify-dev,
Description: Go package implementing psutils
 The gopsutil package provides a library which psutil
 (http://pythonhosted.org/psutil/) functions. Most of the features are
 implemented. Please refer to web site of the project about implementation
 list.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

# Avoid running tests that require root.
export CI := true
export CIRCLECI := true

%:
	dh $@ --buildsystem=golang --with=golang

## golang-github-shirou-gopsutil 2.18.06

=== debian/changelog ===
golang-github-shirou-gopsutil (2.18.06-1.lnd.1) unstable; urgency=medium

  * Add Loongarch supported

 --Yaling Fang <fangyaling@loongson.cn>  Wed, 12 Jan 2021 15:08:47 +0800

golang-github-shirou-gopsutil (2.18.06-1) unstable; urgency=medium

  * Team upload.

  [ Arnaud Rebillout ]
  * New upstream release.
  * Remove obsolete patch.
  * Add patch to fix TestVirtual_memory.

  [ Dmitry Smirnov ]
  * Replaced our "TestVirtualization.patch" with proper one from upstream.

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Thu, 12 Jul 2018 16:08:47 +0700

golang-github-shirou-gopsutil (2.18.02-2) unstable; urgency=medium

  * Team upload.
  * New patch to disable unreliable test TestVirtualization (Closes: #902563).
  * Testsuite: autopkgtest-pkg-go
  * Standards-Version: 4.1.4

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 05 Jul 2018 11:20:46 +1000

golang-github-shirou-gopsutil (2.18.02-1) unstable; urgency=medium

  * New upstream release.
  * Update debhelper to 10.]
  * Bump Standards-Version to 4.1.3.
  * Change Priority to optional.
  * Update Vcs-Browser and Vcs-Git to salsa.
  * Add debian/gitlab-ci.yml.
  * Update patches/01-Disable_failing_tests.patch.
  * Update patches/02-Bug#852560_udevadm_path.path.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 30 Mar 2018 07:52:58 +0900

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: golang-github-shirou-gopsutil
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
            Nobuhiro Iwamatsu <iwamatsu@debian.org>,
            Tim Potter <tpot@hpe.com>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-golang (>= 1.17~),
                golang-any,
                golang-github-stretchr-testify-dev,
                golang-golang-x-sys-dev,
                lsof,
                procps,
-Standards-Version: 4.1.0
+Standards-Version: 4.1.4
 Homepage: https://github.com/shirou/gopsutil
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-shirou-gopsutil.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-shirou-gopsutil.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-shirou-gopsutil
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-shirou-gopsutil.git
 XS-Go-Import-Path: github.com/shirou/gopsutil
+Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-shirou-gopsutil-dev
 Architecture: all

## golang-github-shirou-gopsutil 2.19.11

=== Makefile ===
--- 
+++ 
@@ -13,14 +13,25 @@
 BUILD_FAIL_PATTERN=grep -v "exec format error" | grep "build failed" && exit 1 || exit 0
 build_test:  ## test only buildable
 	# Supported operating systems
-	GOOS=linux go test ./... | $(BUILD_FAIL_PATTERN)
+	GOOS=linux GOARCH=amd64 go test ./... | $(BUILD_FAIL_PATTERN)
+	GOOS=linux GOARCH=386 go test ./... | $(BUILD_FAIL_PATTERN)
+	GOOS=linux GOARCH=arm go test ./... | $(BUILD_FAIL_PATTERN)
+	GOOS=linux GOARCH=arm64 go test ./... | $(BUILD_FAIL_PATTERN)
 	GOOS=freebsd go test ./... | $(BUILD_FAIL_PATTERN)
-#	GOOS=openbsd go test ./... | $(BUILD_FAIL_PATTERN)
+	GOOS=freebsd GOARCH=arm go test ./... | $(BUILD_FAIL_PATTERN)
 	CGO_ENABLED=0 GOOS=darwin go test ./... | $(BUILD_FAIL_PATTERN)
-	CGO_ENABLED=1 GOOS=darwin go test ./... | $(BUILD_FAIL_PATTERN)
 	GOOS=windows go test ./... | $(BUILD_FAIL_PATTERN)
 	# Operating systems supported for building only (not implemented error if used)
 	GOOS=solaris go test ./... | $(BUILD_FAIL_PATTERN)
-#	GOOS=dragonfly go test ./... | $(BUILD_FAIL_PATTERN)
+	GOOS=dragonfly go test ./... | $(BUILD_FAIL_PATTERN)
 	GOOS=netbsd go test ./... | $(BUILD_FAIL_PATTERN)
+	# cross build to OpenBSD not worked since process has "C"
+#	GOOS=openbsd go test ./... | $(BUILD_FAIL_PATTERN)
+
+ifeq ($(shell uname -s), Darwin)
+	CGO_ENABLED=1 GOOS=darwin go test ./... | $(BUILD_FAIL_PATTERN)
+endif
 	@echo 'Successfully built on all known operating systems'
+
+init_tools:
+	go get github.com/golang/dep/cmd/dep

=== debian/changelog ===
golang-github-shirou-gopsutil (2.19.11-4) unstable; urgency=medium

  * Team upload.
  * Disable cpuinfo related test, Closes: #976509)

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 23 Dec 2020 11:05:29 -0500

golang-github-shirou-gopsutil (2.19.11-3) unstable; urgency=medium

  * Team upload.
  * Fix Depends for -dev package.
    Only needs Go libraries
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.5.0 (no changes)
  * Add Rules-Requires-Root
  * Update maintainer address to team+pkg-go@tracker.debian.org

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 06 Oct 2020 18:26:30 +0800

golang-github-shirou-gopsutil (2.19.11-2) unstable; urgency=medium

  * Team upload.
  * Fix "FTBFS: Test_Process_memory_maps failure":
    Disable more tests to avoid FTBFS (Closes: #964045)

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 09 Jul 2020 07:19:59 -0400

golang-github-shirou-gopsutil (2.19.11-1) unstable; urgency=medium

  * New upstream release
  * Tightened "golang-golang-x-sys-dev" dep versioning (Closes: #910328).
    Thanks, Guillem Jover.
  * Build with "go generate"
  * Standards-Version: 4.4.1
  * DH to version 12
  * Added myself to Uploaders

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 30 Dec 2019 10:58:20 +1100

=== debian/control ===
Source: golang-github-shirou-gopsutil
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
           Nobuhiro Iwamatsu <iwamatsu@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Dmitry Smirnov <onlyjob@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-golang (>= 1.17~),
               golang-any,
               golang-github-stretchr-testify-dev,
               golang-golang-x-sys-dev (>= 0.0~git20180510~),
               lsof,
               procps,
Standards-Version: 4.5.0
Homepage: https://github.com/shirou/gopsutil
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-shirou-gopsutil
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-shirou-gopsutil.git
XS-Go-Import-Path: github.com/shirou/gopsutil
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go

Package: golang-github-shirou-gopsutil-dev
Architecture: all
Depends: golang-golang-x-sys-dev (>= 0.0~git20180510~),
         ${misc:Depends},
Description: Go package implementing psutils
 The gopsutil package provides a library which psutil
 (http://pythonhosted.org/psutil/) functions. Most of the features are
 implemented. Please refer to web site of the project about implementation
 list.

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
dversionmangle=s{[+~](?:dfsg|git)\d*}{},\
" https://github.com/shirou/gopsutil/releases \
  .*/archive/v?(\d[\d\.\-rc]+)\.tar\.gz

## golang-github-shirou-gopsutil 3.21.10

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 .DEFAULT_GOAL := help
 
 SUBPKGS=cpu disk docker host internal load mem net process
+TAG=$(shell date +'v3.%y.%-m' --date='last Month')
 
 help:  ## Show help
 	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'
@@ -17,6 +18,7 @@
 	GOOS=linux GOARCH=386 go test ./... | $(BUILD_FAIL_PATTERN)
 	GOOS=linux GOARCH=arm go test ./... | $(BUILD_FAIL_PATTERN)
 	GOOS=linux GOARCH=arm64 go test ./... | $(BUILD_FAIL_PATTERN)
+	GOOS=linux GOARCH=riscv64 go test ./... | $(BUILD_FAIL_PATTERN)
 	GOOS=freebsd go test ./... | $(BUILD_FAIL_PATTERN)
 	GOOS=freebsd GOARCH=arm go test ./... | $(BUILD_FAIL_PATTERN)
 	CGO_ENABLED=0 GOOS=darwin go test ./... | $(BUILD_FAIL_PATTERN)
@@ -33,5 +35,46 @@
 endif
 	@echo 'Successfully built on all known operating systems'
 
+vet:
+	GOOS=darwin GOARCH=amd64 go vet ./...
+	GOOS=darwin GOARCH=386 go vet ./...
+	GOOS=darwin GOARCH=arm64 go vet ./...
+
+	GOOS=dragonfly GOARCH=amd64 go vet ./...
+
+	GOOS=freebsd GOARCH=amd64 go vet ./...
+	GOOS=freebsd GOARCH=386 go vet ./...
+	GOOS=freebsd GOARCH=arm go vet ./...
+
+	GOOS=linux GOARCH=386 go vet ./...
+	GOOS=linux GOARCH=amd64 go vet ./...
+	GOOS=linux GOARCH=arm64 go vet ./...
+	GOOS=linux GOARCH=arm go vet ./...
+	GOOS=linux GOARCH=mips64 go vet ./...
+	GOOS=linux GOARCH=mips64le go vet ./...
+	GOOS=linux GOARCH=mips go vet ./...
+	GOOS=linux GOARCH=mipsle go vet ./...
+	GOOS=linux GOARCH=ppc64le go vet ./...
+	GOOS=linux GOARCH=riscv64 go vet ./...
+	GOOS=linux GOARCH=s390x go vet ./...
+
+	GOOS=netbsd GOARCH=amd64 go vet ./...
+
+	GOOS=openbsd GOARCH=386 go vet ./...
+	GOOS=openbsd GOARCH=amd64 go vet ./...
+
+	GOOS=solaris GOARCH=amd64 go vet ./...
+
+	GOOS=windows GOARCH=amd64 go vet ./...
+	GOOS=windows GOARCH=386 go vet ./...
+
+macos_test:
+	CGO_ENABLED=0 GOOS=darwin go test ./... | $(BUILD_FAIL_PATTERN)
+	CGO_ENABLED=1 GOOS=darwin go test ./... | $(BUILD_FAIL_PATTERN)
+
 init_tools:
 	go get github.com/golang/dep/cmd/dep
+
+release:
+	git tag $(TAG)
+	git push origin $(TAG)

=== v3/Makefile ===
.PHONY: help check
.DEFAULT_GOAL := help

SUBPKGS=cpu disk docker host internal load mem net process

help:  ## Show help
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

check:  ## Check
	errcheck -ignore="Close|Run|Write" ./...
	golint ./... | egrep -v 'underscores|HttpOnly|should have comment|comment on exported|CamelCase|VM|UID' && exit 1 || exit 0

BUILD_FAIL_PATTERN=grep -v "exec format error" | grep "build failed" && exit 1 || exit 0
build_test:  ## test only buildable
	# Supported operating systems
	GOOS=linux GOARCH=amd64 go test ./... | $(BUILD_FAIL_PATTERN)
	GOOS=linux GOARCH=386 go test ./... | $(BUILD_FAIL_PATTERN)
	GOOS=linux GOARCH=arm go test ./... | $(BUILD_FAIL_PATTERN)
	GOOS=linux GOARCH=arm64 go test ./... | $(BUILD_FAIL_PATTERN)
	GOOS=linux GOARCH=riscv64 go test ./... | $(BUILD_FAIL_PATTERN)
	GOOS=freebsd go test ./... | $(BUILD_FAIL_PATTERN)
	GOOS=freebsd GOARCH=arm go test ./... | $(BUILD_FAIL_PATTERN)
	CGO_ENABLED=0 GOOS=darwin go test ./... | $(BUILD_FAIL_PATTERN)
	GOOS=windows go test ./... | $(BUILD_FAIL_PATTERN)
	# Operating systems supported for building only (not implemented error if used)
	GOOS=solaris go test ./... | $(BUILD_FAIL_PATTERN)
	GOOS=dragonfly go test ./... | $(BUILD_FAIL_PATTERN)
	GOOS=netbsd go test ./... | $(BUILD_FAIL_PATTERN)
	# cross build to OpenBSD not worked since process has "C"
#	GOOS=openbsd go test ./... | $(BUILD_FAIL_PATTERN)
	GOOS=plan9 go test ./... | $(BUILD_FAIL_PATTERN)

ifeq ($(shell uname -s), Darwin)
	CGO_ENABLED=1 GOOS=darwin go test ./... | $(BUILD_FAIL_PATTERN)
endif
	@echo 'Successfully built on all known operating systems'

vet:
	GOOS=darwin GOARCH=amd64 go vet ./...
	GOOS=darwin GOARCH=386 go vet ./...
	GOOS=darwin GOARCH=arm64 go vet ./...

	GOOS=dragonfly GOARCH=amd64 go vet ./...

	GOOS=freebsd GOARCH=amd64 go vet ./...
	GOOS=freebsd GOARCH=386 go vet ./...
	GOOS=freebsd GOARCH=arm go vet ./...

	GOOS=linux GOARCH=386 go vet ./...
	GOOS=linux GOARCH=amd64 go vet ./...
	GOOS=linux GOARCH=arm64 go vet ./...
	GOOS=linux GOARCH=arm go vet ./...
	GOOS=linux GOARCH=mips64 go vet ./...
	GOOS=linux GOARCH=mips64le go vet ./...
	GOOS=linux GOARCH=mips go vet ./...
	GOOS=linux GOARCH=mipsle go vet ./...
	GOOS=linux GOARCH=ppc64le go vet ./...
	GOOS=linux GOARCH=riscv64 go vet ./...
	GOOS=linux GOARCH=s390x go vet ./...

	GOOS=netbsd GOARCH=amd64 go vet ./...
	GOOS=solaris GOARCH=amd64 go vet ./...

	GOOS=windows GOARCH=amd64 go vet ./...
	GOOS=windows GOARCH=386 go vet ./...

	GOOS=plan9 GOARCH=amd64 go vet ./...
	GOOS=plan9 GOARCH=386 go vet ./...

macos_test:
	CGO_ENABLED=0 GOOS=darwin go test ./... | $(BUILD_FAIL_PATTERN)
	CGO_ENABLED=1 GOOS=darwin go test ./... | $(BUILD_FAIL_PATTERN)

init_tools:
	go get github.com/golang/dep/cmd/dep

=== debian/changelog ===
golang-github-shirou-gopsutil (3.21.10-3ubuntu1) jammy; urgency=medium

  * Disable tests that rely on lscpu, as the version in Ubuntu has a bug on
    arm64

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 11 Jan 2022 19:06:43 -0600

golang-github-shirou-gopsutil (3.21.10-3) unstable; urgency=medium

  * Update patches to fix tests failures.

 -- Aloïs Micard <creekorful@debian.org>  Tue, 30 Nov 2021 21:35:14 +0100

golang-github-shirou-gopsutil (3.21.10-2) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Adjust gh-golang build-dep to require (>=2:1.16~1) to solve FTBFS when
    backporting--yes, and also for accuracy!

  [ Aloïs Micard ]
  * Write patch to fix tests failures.

 -- Aloïs Micard <creekorful@debian.org>  Sun, 28 Nov 2021 23:02:53 +0100

golang-github-shirou-gopsutil (3.21.10-1) unstable; urgency=medium

  [ Aloïs Micard ]
  * New upstream release.
  * d/control:
    - Bump Standards-Version.
    - Mark -dev M-A: foreign.
    - Change section to golang.
    - Add myself as Uploader.
    - Depends on golang-gopkg-yaml.v3-dev.
  * d/watch: Fix watch file.
  * d/patches: Refresh patches.
  * d/rules: Fix file perms.

  [ Nicholas D Steeves ]
  * Install README.md rather than README.rst (dropped upstream).

 -- Aloïs Micard <creekorful@debian.org>  Sat, 27 Nov 2021 18:21:53 +0100

=== debian/control ===
Source: golang-github-shirou-gopsutil
Section: golang
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
           Nobuhiro Iwamatsu <iwamatsu@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Dmitry Smirnov <onlyjob@debian.org>,
           Aloïs Micard <creekorful@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any (>=2:1.16~1),
               golang-github-stretchr-testify-dev,
               golang-github-tklauser-go-sysconf-dev,
               golang-golang-x-sys-dev (>= 0.0~git20180510~),
               golang-gopkg-yaml.v3-dev,
               lsof,
               procps
Standards-Version: 4.6.0
Homepage: https://github.com/shirou/gopsutil
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-shirou-gopsutil
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-shirou-gopsutil.git
XS-Go-Import-Path: github.com/shirou/gopsutil
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go

Package: golang-github-shirou-gopsutil-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-tklauser-go-sysconf-dev,
         golang-golang-x-sys-dev (>= 0.0~git20180510~),
         golang-gopkg-yaml.v3-dev,
         ${misc:Depends}
Description: Go package implementing psutils
 The gopsutil package provides a library which psutil
 (http://pythonhosted.org/psutil/) functions. Most of the features are
 implemented. Please refer to web site of the project about implementation
 list.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export DH_GOLANG_GO_GENERATE := 1

# Avoid running tests that require root.
export CI := true
export CIRCLECI := true

%:
	dh $@ --buildsystem=golang --with=golang

# TODO: Submit a PR upstream!
override_dh_fixperms:
	dh_fixperms
	chmod -x debian/golang-github-shirou-gopsutil-dev/usr/share/gocode/src/github.com/shirou/gopsutil/cpu/testdata/linux/times_empty/proc/stat
	chmod -x debian/golang-github-shirou-gopsutil-dev/usr/share/gocode/src/github.com/shirou/gopsutil/v3/cpu/testdata/linux/times_empty/proc/stat
	chmod -x debian/golang-github-shirou-gopsutil-dev/usr/share/gocode/src/github.com/shirou/gopsutil/v3/net/types_darwin.go

## golang-github-shirou-gopsutil 3.22.4

=== debian/changelog ===
golang-github-shirou-gopsutil (3.22.4-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Nicholas D Steeves <sten@debian.org>  Mon, 13 Jun 2022 15:46:58 -0400

golang-github-shirou-gopsutil (3.22.4-2) unstable; urgency=medium

  * Team upload.
  * Resurrect 01-Disable_failing_tests.patch, because it is needed when
    building on buildd, even when it's not needed locally (Closes: #1011836).
  * Rebase this patch onto 3.22.4.
  * Control: Correct error in XS-Go-Import-Path introduced in 3.21.10-1; The
    3.x series of this package provides "github.com/shirou/gopsutil/v3" and
    not "github.com/shirou/gopsutil".

 -- Nicholas D Steeves <sten@debian.org>  Fri, 03 Jun 2022 20:03:59 -0400

golang-github-shirou-gopsutil (3.22.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 3.22.4.
  * Fix the curious omission of a trailing tilde in the golang-any build-dep.
    ~1~bpo11 sorts lower than ~1, thus a backported golang-any could never
    fulfill the declared requirement.
  * Drop 01-Disable_failing_tests.patch, which is no longer necessary.
  * Drop dh_fixperms override; the permission issue it addressed was fixed
    upstream.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 14 May 2022 07:31:36 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: golang-github-shirou-gopsutil
 Section: golang
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
            Nobuhiro Iwamatsu <iwamatsu@debian.org>,
            Tim Potter <tpot@hpe.com>,
@@ -10,7 +9,7 @@
            Aloïs Micard <creekorful@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
-               golang-any (>=2:1.16~1),
+               golang-any (>=2:1.16~1~),
                golang-github-stretchr-testify-dev,
                golang-github-tklauser-go-sysconf-dev,
                golang-golang-x-sys-dev (>= 0.0~git20180510~),
@@ -21,7 +20,7 @@
 Homepage: https://github.com/shirou/gopsutil
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-shirou-gopsutil
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-shirou-gopsutil.git
-XS-Go-Import-Path: github.com/shirou/gopsutil
+XS-Go-Import-Path: github.com/shirou/gopsutil/v3
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-go

## golang-github-shirou-gopsutil 3.22.10

=== debian/changelog ===
golang-github-shirou-gopsutil (3.22.10-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Disable tests that rely on lscpu, as the version in Ubuntu has a bug on
      arm64

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 23 Dec 2022 11:39:23 -0300

golang-github-shirou-gopsutil (3.22.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Wed, 09 Nov 2022 18:00:54 +0100

golang-github-shirou-gopsutil (3.22.4-3) unstable; urgency=medium

  * Team upload
  * Revert XS-Go-Import-Path to github.com/shirou/gopsutil/v3.
    This reverts commit fa35c0744cb3933c927cad97c8925b66725b078c.
    (Closes: #1013588, #1013593, #1013596)
  * Update Standards-Version to 4.6.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 24 Jun 2022 22:06:38 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: golang-github-shirou-gopsutil
 Section: golang
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
            Nobuhiro Iwamatsu <iwamatsu@debian.org>,
            Tim Potter <tpot@hpe.com>,
@@ -16,11 +17,11 @@
                golang-gopkg-yaml.v3-dev,
                lsof,
                procps
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/shirou/gopsutil
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-shirou-gopsutil
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-shirou-gopsutil.git
-XS-Go-Import-Path: github.com/shirou/gopsutil/v3
+XS-Go-Import-Path: github.com/shirou/gopsutil
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-go

## golang-github-shirou-gopsutil 3.24.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,6 @@
 .DEFAULT_GOAL := help
 
 SUBPKGS=cpu disk docker host internal load mem net process
-TAG=$(shell date +'v3.%y.%-m' --date='last Month')
 
 help:  ## Show help
 	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'
@@ -18,9 +17,14 @@
 	GOOS=linux GOARCH=386 go test ./... | $(BUILD_FAIL_PATTERN)
 	GOOS=linux GOARCH=arm go test ./... | $(BUILD_FAIL_PATTERN)
 	GOOS=linux GOARCH=arm64 go test ./... | $(BUILD_FAIL_PATTERN)
+	GOOS=linux GOARCH=loong64 go test ./... | $(BUILD_FAIL_PATTERN)
 	GOOS=linux GOARCH=riscv64 go test ./... | $(BUILD_FAIL_PATTERN)
-	GOOS=freebsd go test ./... | $(BUILD_FAIL_PATTERN)
+	GOOS=linux GOARCH=s390x go test ./... | $(BUILD_FAIL_PATTERN)
+	GOOS=linux GOARCH=mips go test ./... | $(BUILD_FAIL_PATTERN)
+	GOOS=freebsd GOARCH=amd64 go test ./... | $(BUILD_FAIL_PATTERN)
+	GOOS=freebsd GOARCH=386 go test ./... | $(BUILD_FAIL_PATTERN)
 	GOOS=freebsd GOARCH=arm go test ./... | $(BUILD_FAIL_PATTERN)
+	GOOS=freebsd GOARCH=arm64 go test ./... | $(BUILD_FAIL_PATTERN)
 	CGO_ENABLED=0 GOOS=darwin go test ./... | $(BUILD_FAIL_PATTERN)
 	GOOS=windows go test ./... | $(BUILD_FAIL_PATTERN)
 	# Operating systems supported for building only (not implemented error if used)
@@ -29,6 +33,7 @@
 	GOOS=netbsd go test ./... | $(BUILD_FAIL_PATTERN)
 	# cross build to OpenBSD not worked since process has "C"
 #	GOOS=openbsd go test ./... | $(BUILD_FAIL_PATTERN)
+	GOOS=plan9 go test ./... | $(BUILD_FAIL_PATTERN)
 
 ifeq ($(shell uname -s), Darwin)
 	CGO_ENABLED=1 GOOS=darwin go test ./... | $(BUILD_FAIL_PATTERN)
@@ -37,7 +42,6 @@
 
 vet:
 	GOOS=darwin GOARCH=amd64 go vet ./...
-	GOOS=darwin GOARCH=386 go vet ./...
 	GOOS=darwin GOARCH=arm64 go vet ./...
 
 	GOOS=dragonfly GOARCH=amd64 go vet ./...
@@ -50,11 +54,13 @@
 	GOOS=linux GOARCH=amd64 go vet ./...
 	GOOS=linux GOARCH=arm64 go vet ./...
 	GOOS=linux GOARCH=arm go vet ./...
+	GOOS=linux GOARCH=loong64 go vet ./...
 	GOOS=linux GOARCH=mips64 go vet ./...
 	GOOS=linux GOARCH=mips64le go vet ./...
 	GOOS=linux GOARCH=mips go vet ./...
 	GOOS=linux GOARCH=mipsle go vet ./...
 	GOOS=linux GOARCH=ppc64le go vet ./...
+	GOOS=linux GOARCH=ppc64 go vet ./...
 	GOOS=linux GOARCH=riscv64 go vet ./...
 	GOOS=linux GOARCH=s390x go vet ./...
 
@@ -68,6 +74,9 @@
 	GOOS=windows GOARCH=amd64 go vet ./...
 	GOOS=windows GOARCH=386 go vet ./...
 
+	GOOS=plan9 GOARCH=amd64 go vet ./...
+	GOOS=plan9 GOARCH=386 go vet ./...
+
 macos_test:
 	CGO_ENABLED=0 GOOS=darwin go test ./... | $(BUILD_FAIL_PATTERN)
 	CGO_ENABLED=1 GOOS=darwin go test ./... | $(BUILD_FAIL_PATTERN)
@@ -75,6 +84,8 @@
 init_tools:
 	go get github.com/golang/dep/cmd/dep
 
+TAG=$(shell date +'v3.%y.%-m' --date='last Month')
+
 release:
 	git tag $(TAG)
 	git push origin $(TAG)

=== debian/changelog ===
golang-github-shirou-gopsutil (3.24.1-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Disable tests that rely on lscpu, as the version in Ubuntu has a bug on
      arm64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Feb 2024 13:14:19 +0100

golang-github-shirou-gopsutil (3.24.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Drop patch applied upstream

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 09 Feb 2024 18:44:16 +0000

golang-github-shirou-gopsutil (3.23.12-3ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Disable tests that rely on lscpu, as the version in Ubuntu has a bug on
      arm64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Feb 2024 00:13:30 +0100

golang-github-shirou-gopsutil (3.23.12-3) unstable; urgency=medium

  * Team upload
  * Cherry-pick upstream fix for mips64el build failure

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 14 Jan 2024 15:09:09 +0000

golang-github-shirou-gopsutil (3.23.12-2) unstable; urgency=medium

  * Team upload
  * Disable tests that only fail on buildds

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 14 Jan 2024 01:53:23 +0000

golang-github-shirou-gopsutil (3.23.12-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #1014209)
    - Shrink set of skipped failing tests to only what failed locally. If
      there's still issues on the buildds, I will add those tests
  * d/control:
    - Update Standards-Version to 4.6.2 (no changes needed)
    - Fix Build-Depends and Depends
  * Remove forced xz compression from d/gbp.conf

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 13 Jan 2024 18:40:05 +0000

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,9 @@
                golang-github-stretchr-testify-dev,
                golang-github-tklauser-go-sysconf-dev,
                golang-golang-x-sys-dev (>= 0.0~git20180510~),
-               golang-gopkg-yaml.v3-dev,
                lsof,
                procps
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/shirou/gopsutil
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-shirou-gopsutil
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-shirou-gopsutil.git
@@ -28,9 +27,9 @@
 Package: golang-github-shirou-gopsutil-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-github-tklauser-go-sysconf-dev,
+Depends: golang-github-stretchr-testify-dev,
+         golang-github-tklauser-go-sysconf-dev,
          golang-golang-x-sys-dev (>= 0.0~git20180510~),
-         golang-gopkg-yaml.v3-dev,
          ${misc:Depends}
 Description: Go package implementing psutils
  The gopsutil package provides a library which psutil

## golang-github-shirou-gopsutil 4.24.9

=== Makefile ===
--- 
+++ 
@@ -84,7 +84,7 @@
 init_tools:
 	go get github.com/golang/dep/cmd/dep
 
-TAG=$(shell date +'v3.%y.%-m' --date='last Month')
+TAG=$(shell date +'v4.%y.%-m' --date='last Month')
 
 release:
 	git tag $(TAG)

=== debian/changelog ===
golang-github-shirou-gopsutil (4.24.9-2~bpo12+1) bookworm-backports; urgency=medium

  * Team upload
  * Rebuild for bookworm-backports.

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 11 Oct 2024 13:21:43 +0000

golang-github-shirou-gopsutil (4.24.9-2) unstable; urgency=medium

  * Update patch metadata.
  * Skip test for nice(2) which fails on reproducible nodes.
  * Add Breaks on golang-github-minio-madmin-go (<< 3.0.63-2~) to help
    migration.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 08 Oct 2024 14:41:28 +0200

golang-github-shirou-gopsutil (4.24.9-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch for gbp pq format.
  * Skip tests if no swap or other partitions are found.
  * Skip tests if no CPU model information is found.
  * Gather /proc/cpuinfo information from CI, VM and build environments.
    This will make it possible to update the code for these systems, so that
    we can then potentially stop skipping the tests.

 -- Guillem Jover <gjover@sipwise.com>  Mon, 07 Oct 2024 16:22:10 +0200

golang-github-shirou-gopsutil (4.24.8-1) unstable; urgency=medium

  * New upstream release.
  * Update gbp configuration following Go Team new workflow.
  * Wrap and sort -ast.
  * Switch to dh-sequence-golang from dh-golang and --with=golang.
  * Set build directory to _build.
  * Switch to Standards-Version 4.7.0 (no changes needed).
  * Add myself to Uploaders.
  * Add a debian/.gitignore file.
  * Update patches to fix test suite failures.
  * Only require test tools when not in nocheck build-profile.
  * Add python3 and python3-psutil to Build-Depends for optional tests.
  * Update copyright years.

 -- Guillem Jover <gjover@sipwise.com>  Wed, 18 Sep 2024 20:17:38 +0200

=== debian/control ===
Source: golang-github-shirou-gopsutil
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Martín Ferrari <tincho@debian.org>,
 Nobuhiro Iwamatsu <iwamatsu@debian.org>,
 Tim Potter <tpot@hpe.com>,
 Dmitry Smirnov <onlyjob@debian.org>,
 Aloïs Micard <creekorful@debian.org>,
 Guillem Jover <gjover@sipwise.com>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any (>=2:1.16~1~),
 golang-github-stretchr-testify-dev,
 golang-github-tklauser-go-sysconf-dev,
 golang-golang-x-sys-dev (>= 0.0~git20180510~),
 python3 <!nocheck>,
 python3-psutil <!nocheck>,
 lsof <!nocheck>,
 procps <!nocheck>,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Homepage: https://github.com/shirou/gopsutil
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-shirou-gopsutil
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-shirou-gopsutil.git
XS-Go-Import-Path: github.com/shirou/gopsutil

Package: golang-github-shirou-gopsutil-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-stretchr-testify-dev,
 golang-github-tklauser-go-sysconf-dev,
 golang-golang-x-sys-dev (>= 0.0~git20180510~),
 ${misc:Depends},
Breaks:
# Old versions only work with gopsutil v3.
 golang-github-minio-madmin-go (<< 3.0.63-2~),
Description: Go package implementing psutils
 The gopsutil package provides a library which psutil
 (http://pythonhosted.org/psutil/) functions. Most of the features are
 implemented. Please refer to web site of the project about implementation
 list.

## golang-github-shirou-gopsutil 4.25.1

=== debian/changelog ===
golang-github-shirou-gopsutil (4.25.1-1) unstable; urgency=medium

  * New upstream release.
  * Override lintian tag on testdata being documentation.
  * Use pypi link instead of dead pythonhosted URL in packages description.
  * Improve and fix package description and its grammar.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 04 Feb 2025 15:40:09 +0100

golang-github-shirou-gopsutil (4.24.12-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years.

 -- Guillem Jover <gjover@sipwise.com>  Mon, 03 Feb 2025 19:18:04 +0100

=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
 # Old versions only work with gopsutil v3.
  golang-github-minio-madmin-go (<< 3.0.63-2~),
 Description: Go package implementing psutils
- The gopsutil package provides a library which psutil
- (http://pythonhosted.org/psutil/) functions. Most of the features are
- implemented. Please refer to web site of the project about implementation
- list.
+ The gopsutil package provides a library that implements the psutil
+ (https://pypi.org/project/psutil/) functions. Most of the features are
+ implemented. Please refer to the web site of this project about the
+ current implementation status.

## golang-github-shirou-gopsutil 4.25.2

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  lsof <!nocheck>,
  procps <!nocheck>,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/shirou/gopsutil
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-shirou-gopsutil
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-shirou-gopsutil.git

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export DH_GOLANG_GO_GENERATE := 1

# Avoid running tests that require root.
export CI := true

%:
	dh $@ --buildsystem=golang --builddirectory=_build

execute_before_dh_auto_test:
	# Gather information from CI, VM and build environments to be able to
	# update the code.
	-cat /proc/cpuinfo

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d\S*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/shirou/gopsutil/tags .*/v?(\d\S*)\.tar\.gz debian
